API reference OpenAPI 3.1
POST /scores:batch

Back-book scoring via batch job (CSV export)

Bearer API key or staff session application/json operation batchScores

Request

Content type: application/json · required

FieldTypeRequiredDescription
customer_ids array of string No —
curl -X POST "$MONICHEK_API/scores:batch" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "customer_ids": [
    "string"
  ]
}'
const res = await fetch(`${MONICHEK_API}/scores:batch`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "customer_ids": [
      "string"
    ]
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/scores:batch",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "customer_ids": [
        "string"
      ]
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/scores:batch');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'customer_ids' => [
            'string',
        ],
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

202 Accepted batch job queued application/json
{
  "object": "batch_job",
  "status": "queued",
  "id": "bat_01M3R...",
  "total": 1
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.